import { z } from 'zod'

export type BasicLoginAttempt = z.infer<typeof BasicLoginAttemptType>

export const BasicLoginAttemptType = z.object({
    username: z.string().nonempty(),
    password: z.string().nonempty(),
})
